@import url('https://fonts.googleapis.com/css2?family=Crimson+Pro:ital,wght@0,200..900;1,200..900&display=swap');

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: "Crimson Pro";
    font-weight: 400;
    scroll-behavior: smooth;
}

.body-wrapper {
    /* To prevent the screen from expanding when .header-menu is hidden*/
    overflow: hidden;
    position: relative;
    width: 100%;
}

.container {
    width: 100%;
    max-width: 1400px;
    margin: 0 auto;
    /* padding: 0 100px; */
}

a {
    text-decoration: none;
}

/* Header */
.header-left h1{
    all: unset;
}
header {
    background-image: url(../img/nav.png);
    background-size: cover;
}

.navigation {
    display: flex;
    justify-content: space-between;
    align-items: center;
    height: 100px;


}

.header-left a {
    font-size: 40px;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.532);
    letter-spacing: 10px;
    color: #000;

}

.header-right ul {
    list-style: none;
    display: flex;
}

.header-right {
    /* The list is not on level with tiefbau */
    margin-top: 5px;
}

.header-right ul li {
    margin-right: 50px;
    font-size: 24px;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.378);
    position: relative;
}

.header-right ul li a {
    color: #000;
}

.header-right ul li:last-child {
    margin: 0;
}

.header_burger_btn {
    width: 40px;
    height: 40px;
    border: none;
    background-color: #00000000;
    position: relative;
    align-items: space-between;
    display: none;
}

.header_burger_btn span {
    position: absolute;
    width: 30px;
    height: 3px;
    left: 5px;
    background-color: #5a2e19d0;
    transition: all .5s;
}

.header_burger_btn span:nth-child(1) {
    transform: translateY(10px);
}

.header_burger_btn span:nth-child(3) {
    transform: translateY(-10px);
}

.header.open .header_burger_btn span:nth-child(1) {
    transform: translateY(0) rotate(-45deg);

}

.header.open .header_burger_btn span:nth-child(2) {
    opacity: 0;
}

.header.open .header_burger_btn span:nth-child(3) {
    transform: translateY(0) rotate(45deg);
}

header a:hover {
    color: #882d07;
    transition: all 0.5s linear;
}

header a:after {
    content: "";
    display: block;
    position: absolute;
    right: 0;
    bottom: -3px;
    width: 0;
    height: 2px;
    background-color: black;
    transition: 0.5s;
}

a:hover:after {
    content: "";
    width: 100%;
    display: block;
    position: absolute;
    left: 0;
    bottom: -3px;
    height: 2px;
    background-color: red;
    transition: 0.5s;
}


/* home page */

main {
    width: 100%;

}

.home-page {
    height: 100vh;
    background-color: black;
    background-image: url('../img/main.png');
    background-repeat: no-repeat;
    background-size: cover;
}

main .title {
    padding-top: 6vh;
    margin-left: 5vw;
    margin-bottom: 110px;
}

.title .title-span {
    font-size: 96px;
    color: #ffffff;
    letter-spacing: 1vw;

    text-shadow:
        -0.5px -0.5px 0 #000,
        0.5px -0.5px 0 #000,
        -0.5px 0.5px 0 #000,
        0.5px 0.5px 0 #000,
        -1.5px -1.5px 0 #000,
        1.5px -1.5px 0 #000,
        -1.5px 1.5px 0 #000,
        1.5px 1.5px 0 #000;

}

.two {
    margin-left: 6vw;
}

.three {
    margin-left: 12vw;
}

.slogan p {
    color: #ffffff;
    font-size: 48px;
    letter-spacing: 0.8vw;
    text-shadow:
        -0.5px -0.5px 0 #000,
        0.5px -0.5px 0 #000,
        -0.5px 0.5px 0 #000,
        0.5px 0.5px 0 #000,
        -1.5px -1.5px 0 #000,
        1.5px -1.5px 0 #000,
        -1.5px 1.5px 0 #000,
        1.5px 1.5px 0 #000;
}

.slogan-wrapper {
    display: flex;
    align-items: center;
    justify-content: space-evenly;
}

.slogan {
    display: inline-block;
}

.btn {
    background-color: #ffffff;
    color: #3E0E00;
    font-size: 24px;
    width: 255px;
    height: 73px;
    border: 1px solid #000;
    border-radius: 50px;
    box-shadow: inset 1px 2px 16px 6px #5A2E19;
    transition: all 0.3s ease-in-out;
    text-shadow: none;
    cursor: pointer;

}

.home-page .btn {
    letter-spacing: 0.1vw;
}

.btn:hover {
    box-shadow: inset 0px 0px 0px 0px rgba(0, 0, 0, 0.3);
    color: #914F1E;
    text-shadow: 0 4px 6px rgba(0, 0, 0, 0.5);
    letter-spacing: 0vw;
    scale: 0.9;
}

.arrow{
    position: absolute;
    left: 63.5vw;
}


/* Our diretcions */

.directions {
    width: 100%;
    min-height: 100vh;
    background: linear-gradient(#8C665B, #373535);
    padding: 20px;
}

.directions-title {
    color: #ffffff;
    font-size: 10vw;
    text-shadow:
        -0.5px -0.5px 0 #000,
        0.5px -0.5px 0 #000,
        -0.5px 0.5px 0 #000,
        0.5px 0.5px 0 #000,
        -1.5px -1.5px 0 #000,
        1.5px -1.5px 0 #000,
        -1.5px 1.5px 0 #000,
        1.5px 1.5px 0 #000;
    text-align: center;
    margin: 0;
}

.directions-title p {
    margin: 0;
}

.btn-and-block {
    margin-top: 8vh;
    display: flex;
    flex-direction: column;
    align-items: center;
}

.btn-list {
    display: flex;
    flex-direction: row;
    flex-wrap: wrap;
    justify-content: center;
    margin-bottom: 20px;
}

.btn-list .btn {
    background-color: transparent;
    box-shadow: none;
    border: #ffffff solid 3px;
    color: #ffffff;
    margin: 5px;
    padding: 10px 20px;
}

.btn-list .active-btn {
    background-color: #ffffff;
    border: #AA7F6E solid 3px;
    color: #000;
}

.directions-blok {
    width: 100%;
    max-width: 746px;
    background-color: white;
    border-radius: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    padding: 20px;
}

.direction-img {
    width: 100%;
    max-width: 500px;
    height: auto;
    margin-bottom: 20px;
}

.direction-img img {
    width: 100%;
    height: auto;
    border-radius: 20px;
    max-height: 100%;
}

.direction-description {
    max-width: 100%;
    text-align: center;
}

.direction-description-title {
    font-size: 24px;
    font-weight: 600;
    text-transform: uppercase;
}

.direction-description p:nth-child(2) {
    font-size: 20px;
    margin-top: 10px;
    text-align: justify;
}

.direction-description-btn {
    margin-top: 20px;
    width: 100% !important;
}


/* Code below is for gallery */

.gallery-container {
    width: 90%;
    max-width: 1200px;
    margin: 50px auto;
    text-align: center;
    padding-bottom: 40px;
}

.gallery-container h2 {
    font-size: 64px;
    margin-bottom: 30px;
    letter-spacing: 35px;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(300px, 1fr));
    gap: 15px;
}

.gallery-item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    box-shadow: 0px 8px 24px 0px rgba(0, 0, 0, 0.493);
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.gallery-item:hover {
    transform: scale(1.05);
    box-shadow: 0 8px 12px rgba(0, 0, 0, 0.2);
}

.gallery-item img {
    width: 100%;
    height: 300px;
    object-fit: cover;
    transition: transform 0.3s ease;
    display: block;
}

.gallery-item:hover img {
    transform: scale(1.1);
}

/* about */
.about {
    background-color: rgba(116, 201, 241, 0.33);
    padding-bottom: 50px;
    border-bottom: #000 3px solid;
}

.about-title {
    display: block;
    font-size: 46px;
    font-weight: 200;
    text-shadow: 0px 4px 4px #00000071;
    padding: 50px 0px;
    letter-spacing: 4px;
}

.about-title h2:nth-child(2) {
    margin-left: 200px;
}

.about-us {
    display: flex;
    justify-content: center;
    margin-bottom: 100px;
}

.about-us-text {
    width: 394px;
    height: 336px;
    background-color: #416CE0;
    border-radius: 40px;
    margin-right: 30px;
    color: #ffffff;
    display: flex;
    align-items: center;
    justify-content: center;
}

.about-us-text p {
    display: block;
    padding: 55px;
    text-align: justify;
    font-size: 24px;
    font-weight: 500;
}

.about-us-photo {
    width: 394px;
    height: 336px;
    border-radius: 40px;
    background-image: url(../img/Rectangle\ 13.png);
}




.why-us {
    text-align: center;
    background-color: rgba(116, 201, 241, 0.33);
    padding-bottom: 90px;
}

.why-us h2 {
    font-size: 48px;
    margin-bottom: 20px;
    color: #000000;
    letter-spacing: 25px;
    padding-top: 40px;
    padding-bottom: 60px;
    text-shadow: 0px 4px 4px #00000071;
}

.why-us .advantages {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 30px;
    max-width: 800px;
    margin: 0 auto;
}

.why-us .advantage {
    background-color: rgba(0, 0, 0, 0.25);
    padding: 10px;
    padding-top: 10px;
    border-radius: 50px;
    width: 200px;
    height: 200px;
    text-align: center;
}

.why-us .icon {
    font-size: 2em;
    margin-bottom: 10px;
}

.why-us h3 {
    font-size: 24px;
    margin-bottom: 10px;
    letter-spacing: 0;
}

.why-us p {
    font-size: 20px;
    font-family: 200;
}


/* Contacts */
.contacts {
    background-color: #416CE0;
    padding: 160px 0;
    color: #ffffff;
}

.contact-section {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: flex-start;
}

.contact-details {
    flex: 1;
    max-width: 350px;
    margin-bottom: 20px;
}

.contact-details h2 {
    font-size: 48px;
    font-weight: 200;
    margin-bottom: 20px;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

.contact-details p,
.contact-details a {
    font-size: 24px;
    margin: 5px 0;
    display: block;
    color: #fff;
    text-decoration: none;
}

.contact-details a:hover {
    text-decoration: underline;
}

.contacts .btn {
    margin-top: 26px;
    width: 80%;
    padding: 15px 0;
    background-color: #fff;
    color: #000;
    border-radius: 50px;
    text-align: center;
    font-size: 18px;
    cursor: pointer;
    transition: all 0.3s ease;
    box-shadow: none;
    font-size: 20px;
}

.contacts .btn:hover {
    background-color: #416CE0;
    color: #fff;
    border: 1px dashed #fff;
}

.map {
    flex: 1;
    max-width: 600px;
    height: 300px;
    border-radius: 15px;
    overflow: hidden;
    position: relative;
}

.map img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
}

.map-attribution {
    position: absolute;
    bottom: 10px;
    right: 10px;
    font-size: 12px;
    color: #fff;
    background-color: rgba(0, 0, 0, 0.5);
    padding: 2px 5px;
    border-radius: 3px;
    z-index: 2;
}


footer {
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    align-items: center;
    background-color: rgba(11, 29, 79, 0.6);
    padding: 20px;
    color: #fff;
    text-align: center;
}

footer a {
    color: #000000;
    margin: 0 15px;
    font-size: 20px;
    letter-spacing: 1px;
    transition: color 0.3s;
    text-shadow: 0px 4px 4px rgba(0, 0, 0, 0.25);
}

footer a:hover {
    color: #ddd;
}

footer p {
    font-size: 18px;
    margin: 10px 0;
    width: 100%;
}





/* Form */

#overlay {
    display: none;
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    backdrop-filter: blur(5px);
    z-index: 999;
}

.contact-form {
    display: none;
    position: fixed;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    background-color: transparent;
    color: #fff;
    padding: 20px;
    border-radius: 40px;
    box-shadow: 0px 4px 8px rgba(0, 0, 0, 0.2);
    z-index: 1000;
    width: 420px;
    height: 548px;
    box-sizing: border-box;
    background-image: url(../img/form.png);
    background-size: cover;
    text-shadow: -0.5px -0.5px 0 #000, 0.5px -0.5px 0 #000, -0.5px 0.5px 0 #000, 0.5px 0.5px 0 #000, -1.5px -1.5px 0 #000, 1.5px -1.5px 0 #000, -1.5px 1.5px 0 #000, 1.5px 1.5px 0 #000;
}

.show {
    display: block !important;
}

#showFormButton {
    margin: 20px;
    padding: 10px 20px;
    font-size: 16px;
    cursor: pointer;
}

.contact-form h1 {
    text-align: center;
    margin-bottom: 20px;
}

.contact-form label {
    display: block;
    font-weight: 400;
    font-size: 15px;
    text-transform: uppercase;
    padding-bottom: 5px;
    letter-spacing: 5px;
}
input {
    border: none; 
}
.contact-form input,
.contact-form textarea {
    text-decoration: none;
    width: 100%;
    padding: 5px;
    margin-bottom: 20px;
    background-color: transparent;
    border: none;
    border-bottom: 1px solid #fff;
    color: #ffffff;
    padding-left: 32px;
    outline: none;
    resize: none;
    font-size: 16px;
    letter-spacing: 5px;
}

.contact-form button[type="submit"] {
    width: auto;
    padding: 10px;
    background-color: transparent;
    color: #fff;
    border: 1px solid white;
    border-radius: 30px;
    cursor: pointer;
    font-size: 16px;
    width: 140px;
    letter-spacing: 3px;
    text-transform: uppercase;
}

.contact-form button[type="submit"]:hover {
    background-color: #000000;
}

.contact-form h3 {
    font-size: 32px;
    letter-spacing: 6px;
    text-align: center;
    font-weight: 200;
    padding-top: 5px;
    padding-bottom: 40px;
}
form img{
    position: absolute;
}
.contact-form div{
    display: flex;
    justify-content: center;
}

@media (min-width: 1600px) {
    .directions-title {
        font-size: 96px;
    }

    .btn-and-block {
        flex-direction: row;
        justify-content: center;
    }

    .directions-blok {
        flex-direction: row;
        align-items: flex-start;
        padding: 20px;
        /* max-width: 1200px; */
    }

    .direction-img {
        width: 300px;
        height: 320px;
    }

    .direction-description {
        max-width: 800px;
        text-align: left;
    }

    .direction-description-btn {
        margin-top: 103px;
    }
}

@media(max-width: 1600px) {
    .container {
        padding: 0 60px;
    }
}

@media (min-width: 1440px) and (max-width: 1600px) {
    .btn-and-block {
        flex-direction: row;
        justify-content: center;
    }

    .directions-blok {
        flex-direction: row;
        align-items: flex-start;
        padding: 20px;
        max-width: 800px;
    }

    .direction-img {
        width: 50%;
        max-width: 400px;
        height: auto;
        margin: 22px;
    }

    .direction-description {
        max-width: 50%;
        text-align: left;
        margin-top: 18px;
    }
}

@media (min-width: 1024px) {
    .directions-title {
        font-size: 96px;
    }

    .btn-and-block {
        flex-direction: row;
    }

    .btn-list {
        flex-direction: column;
        height: 360px;
        justify-content: space-between;
        margin-right: 10px;
    }

    .directions-blok {
        flex-direction: row;
        align-items: flex-start;
        padding: 20px;
    }

    .direction-img {
        width: 300px;
        height: 320px;
        margin-right: 10px;
    }

    .direction-description {
        max-width: 50%;
    }

    .direction-description-btn {
        margin-top: 103px;
    }
}
@media(max-width:1111px){
    .arrow{
        display: none;
    }
}
@media (max-width: 1024px) {
    .about-title {
        font-size: 36px;
        padding: 40px 0px;
    }

    .about-us {
        margin-bottom: 40px;
    }

    .about-us-text p {
        padding: 30px;
        font-size: 23px;
    }
  
}

@media(max-width: 990px) {

    /* header */
    .header-left a {
        font-size: 30px;
        letter-spacing: 8px;
    }

    .header-right ul li {
        margin-right: 40px;
        font-size: 20px;
    }

    .container {
        padding: 0 60px;
    }

    /* main */
    .btn {
        font-size: 20px;
        width: 200px;
        height: 70px;
    }

    .slogan p {
        font-size: 24px;
        letter-spacing: 3px;
        text-align: justify;
    }

    .title .title-span {
        font-size: 70px;
        letter-spacing: 1vw;
    }

    .slogan-wrapper {
        justify-content: space-evenly;
    }

    /* gallery below */
    .gallery-container h2 {
        font-size: 48px;
        margin-bottom: 30px;
        letter-spacing: 25px;
    }

}

@media (min-width: 768px) and (max-width: 1024px) {


    .btn-and-block {
        flex-direction: column;
    }

    .btn-list {
        flex-direction: row;
        justify-content: center;
        margin-bottom: 20px;
    }

    .directions-blok {
        flex-direction: row;
        align-items: flex-start;
        padding: 20px;
    }

    .direction-img {
        width: 50%;
        max-width: 400px;
        height: auto;
        margin: 22px;
    }

    .direction-description {
        max-width: 50%;
        text-align: left;
    }

    .direction-description-btn {
        margin-top: 20px;
    }

    .why-us h2 {
        font-size: 35px;
        margin-bottom: 20px;
        color: #000000;
        letter-spacing: 15px;
        padding-top: 40px;
        padding-bottom: 60px;
        text-shadow: 0px 4px 4px #00000071;
    }
}

@media(max-width:760px) {
    .header.open .header-menu {
        transform: translateX(-333px);
    }

    .header_burger_btn {
        display: block;
        position: absolute;
        top: 32px;
        right: 90px;
    }

    .header-menu {
        position: absolute;
        top: 0;
        right: -333px;
        background-color: #ffffff;
        padding: 85px 30px 30px 30px;
        transition: all 0.5s;
    }

    .header-right ul {
        display: block;

    }

    .header-right .header-menu ul li {
        margin: 0;
    }

    .header-right .header-menu ul li a {
        color: rgb(79, 49, 0);
        font-size: 24px;
        display: block;
        padding: 10px 0;
    }

    .slogan-wrapper {
        flex-direction: column;
    }

    .slogan {
        margin-bottom: 20px;
    }

    /* gallery */
    .gallery-container h2 {
        font-size: 40px;
        margin-bottom: 30px;
        letter-spacing: 20px;
    }

    .why-us h2 {
        font-size: 28px;
        letter-spacing: 10px;
        padding-bottom: 40px;
    }


    .about-us {
        flex-direction: column-reverse;
        align-items: center;
    }

    .about-us-text p {
        padding-top: 130px;
    }

    .about-us-photo {
        margin-bottom: -110px;
        z-index: 1000;
    }

    .about-us-text {
        margin-right: 0px;
    }



    .contact-section {
        flex-direction: column;
        align-items: center;
    }

    .contact-details,
    .map {
        max-width: 100%;
        margin-bottom: 20px;
    }

    .map {
        height: 400px;
    }





    .contacts {
        padding: 60px 0;
    }

    .contact-section {
        flex-direction: column;
        align-items: center;
    }

    .contact-details,
    .map {
        max-width: 100%;
        margin-bottom: 20px;
    }

    .map {
        height: 400px;
    }

    .contact-details h2 {
        font-size: 36px;
    }

    .contact-details p,
    .contact-details a {
        font-size: 18px;
    }

    .contacts .btn {
        width: 100%;
    }

    footer a {
        font-size: 18px;
    }

    footer p {
        font-size: 16px;
    }

}

@media(max-width:660px) {
    .title .title-span {
        font-size: 50px;
        display: block;
    }

    .container {
        padding: 0 20px;
    }

    .home-page .btn {
        letter-spacing: 0.1vw;
    }

    .gallery-container h2 {
        font-size: 32px;
        margin-bottom: 30px;
        letter-spacing: 15px;
    }

    .about-title h2:nth-child(2) {
        margin-left: 120px;
    }

    .about-title {
        font-size: 24px;
    }
}

@media(max-width: 440px) {
    .header .container {
        padding: 0 20px;
    }

    .header-left .title {
        font-size: 18px;
    }

    .title .title-span {
        font-size: 35px;
    }

    .slogan p {
        font-size: 20px;
        text-align: center;
    }

    .gallery-container h2 {
        font-size: 26px;
        margin-bottom: 30px;
        letter-spacing: 10px;
    }

    .why-us h3 {
        font-size: 18px;
    }

    .why-us h2 {
        font-size: 24px;
        letter-spacing: 5px;
        padding-bottom: 30px;
        padding-top: 30px;
    }

    .why-us .advantages {
        gap: 10px;
    }

    .why-us .advantage {
        padding: 0px;
        padding-top: 10px;
        border-radius: 40px;
        width: 135px;
        height: 170px;
    }

    .why-us p {
        font-size: 14px;
    }

    .why-us .icon {
        font-size: 1.55em;
    }

    .about-title {
        font-size: 20px;
    }

    .about-title h2:nth-child(2) {
        margin-left: 60px;
    }

    .about-us-photo {
        width: 250px;
        height: 220px;
        border-radius: 40px;
        background-size: cover;
        background-repeat: no-repeat;
        margin-bottom: -70px;
    }

    .about-us-text {
        width: 250px;
        height: 250px;
        margin-right: 0px;
    }

    .about-us-text p {
        padding: 20px;
        font-size: 17px;
        padding-top: 73px;
    }

    .contact-form{
        width: 368px;
        height: 580px;
    }
     .about-us-a{
        display: none;   
 }
}
@media(max-width:375px){
    .contact-form{
        width: 306px;
        height: 580px;
        background-color: transparent;
    }
}